<script setup lang="ts">
import type { BlogCategory } from '@/types/blog';

defineProps<{
  categories: BlogCategory[];
}>();
</script>

<template>
  <SlpContainer variant="charcoal-100">
    <div class="search-container">
      <div class="blog-search">
        <SlpTypography class="block-header" variant="heading4-bold" tag="h2"> Search </SlpTypography>
        <input ref="searchInput" placeholder="Search" class="searchbox__input st-header search-input" type="text" />
        <div class="social-icon-links">
          <a
            href="https://twitter.com/gitlab"
            class="social-link twitter-link"
            target="_blank"
            data-toggle="tooltip"
            title="GitLab on Twitter"
            data-ga-name="twitter"
            data-ga-location="body"
          >
            <!-- <SlpIcon
              color="#FFFFFF"
              name="twitter-x"
              variant="marketing"
              size="sm"
            /> -->
          </a>
          <a
            href="https://www.linkedin.com/company/gitlab-com"
            class="social-link linkedin-link"
            target="_blank"
            data-toggle="tooltip"
            title="GitLab on LinkedIn"
            data-ga-name="linkedin"
            data-ga-location="body"
          >
            <!-- <SlpIcon
              color="#FFFFFF"
              name="fa-linkedin"
              variant="marketing"
              size="sm"
            /> -->
          </a>
          <a
            href="https://www.youtube.com/channel/UCnMGQ8QHMAnVIsI3xJrihhg"
            class="social-link linkedin-link"
            target="_blank"
            data-toggle="tooltip"
            title="GitLab on YouTube"
            data-ga-name="youtube"
            data-ga-location="body"
          >
            <!-- <SlpIcon
              color="#FFFFFF"
              name="fa-youtube"
              variant="marketing"
              size="sm"
            /> -->
          </a>
          <a
            href="https://www.facebook.com/gitlab"
            class="social-link facebook-link"
            target="_blank"
            data-toggle="tooltip"
            title="GitLab on Facebook"
            data-ga-name="facebook"
            data-ga-location="body"
          >
            <!-- <SlpIcon
              color="#FFFFFF"
              name="fa-facebook"
              variant="marketing"
              size="sm"
            /> -->
          </a>
          <a
            href="/atom.xml"
            class="social-link"
            data-toggle="tooltip"
            title="RSS Feed"
            data-ga-name="rss atom"
            data-ga-location="body"
          >
            <!-- <SlpIcon
              color="#FFFFFF"
              name="rss"
              variant="product"
              size="sm"
            /> -->
          </a>
          <a
            href="/security-releases.xml"
            class="social-link"
            data-toggle="tooltip"
            title="Security Content RSS Feed"
            data-ga-name="rss security"
            data-ga-location="body"
          >
            <!-- <SlpIcon
              color="#FFFFFF"
              name="rss"
              variant="product"
              size="sm"
            /> -->
          </a>
        </div>
      </div>
      <div class="tag-pills">
        <SlpTypography class="block-header" variant="heading4-bold" tag="h2"> Categories </SlpTypography>
        <div class="pill-container">
          <a class="pill" href="/archive" data-ga-name="all blogs" data-ga-location="body"> All Blogs </a>

          <a
            v-for="category in categories"
            :key="category.content.name"
            class="pill"
            :href="`/blog/categories/${category.config.slug}`"
            :data-ga-name="category.content.name.toLowerCase()"
            data-ga-location="category pills"
            >{{ category.content.name }}</a
          >
        </div>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.search-container {
  display: grid;
  grid-template-columns: 1fr;
  gap: 32px;
  color: white;
  margin: 48px 0;
  @media (min-width: $breakpoint-lg) {
    grid-template-columns: 1fr 1fr;
    gap: 48px;
  }

  .blog-search,
  .tag-pills {
    display: flex;
    flex-direction: column;
    .block-header {
      margin-bottom: 24px;
    }
  }
  .social-icon-links {
    display: flex;
    gap: 28px;
    padding: 14px 0;
  }
  .pill-container {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    gap: 8px;

    .pill {
      display: flex;
      padding: 4px 16px;
      align-items: center;
      gap: 4px;
      border-radius: 20px;
      border: $color-surface-300;
      background: $color-surface-50;
      color: $color-text-link-100;
      font-size: 14px;
      &:hover {
        cursor: pointer;
        background-color: #7759c2;
        transition: background-color 0.3s ease;
        color: white;
      }
    }
  }
}

.search-input {
  border-radius: 4px;
  border: 1px solid $color-surface-500;
  background: white;
  padding: 12px 16px;
  width: calc(100% - 60px);
  outline: none;
  margin-bottom: 8px;
}
</style>
